Bug 800280 - spring-2.5-bom contains wrong dependency spring-instrument-tomcat
spring-2.5-bom contains wrong dependency spring-instrument-tomcat
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.0.0.ER1,2.0.0.ER2
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER3
Assigned To: Marek Novotny
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 03:22 EST by Tomas Repel
Modified: 2012-04-05 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 09:49:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2012-03-06 03:22:05 EST
Description of problem:

Artefact com.redhat.jboss.wfk.boms:spring-2.5-bom:2.0.0-redhat-4 contains wrong dependency org.springframework:spring-instrument-tomcat:2.5.6.SEC03

This dependency doesn't exist, spring-instrument-tomcat is only available for spring 3+. Just removal of this dependency from dependencies section should be perfectly OK.

Version-Release number of selected component (if applicable):

spring-2.5-bom, versions: 2.0.0-redhat-4, 2.0.0-redhat-5

How reproducible:

Always.

Steps to Reproduce:
1. Create pom.xml, that uses spring-2.5-bom in dependencyManagement section
2. Add spring-instrument-tomcat dependency to dependencies section
3. Create and build maven project based on this pom.xml via maven
  
Actual results:

It fails with similar message:
[ERROR] Failed to execute goal on project coverage-classes: Could not resolve dependencies for project com.redhat.jboss.wfk:coverage-classes:pom:0.0.1: Failure to find org.springframework:spring-instrument-tomcat:jar:2.5.6.SEC03 in file:///home/trepel/sources/wfk-qa/build/configuration/../../../obsolete-repository was cached in the local repository, resolution will not be reattempted until the update interval of obsolete-enterprise-repository has elapsed or updates are forced -> [Help 1]

Expected results:

It passes.
Comment 1 Marek Novotny 2012-03-06 03:37:31 EST
Actually I can see that artifact only for 3.1.1.
Comment 2 Marek Novotny 2012-03-06 04:07:38 EST
Marius, could you answer whether it should be in BOM for Spring 3.0, 3.1 or in both?
Comment 3 Marius Bogoevici 2012-03-09 10:15:11 EST
There's been an artifact naming change. In 3.0 and 3.1 it's called spring-instrument-tomcat, whereas in 2.5 it's called spring-tomcat-weaver. We should update the boms accordingly.
Comment 5 Marek Novotny 2012-03-09 12:32:46 EST
org.springframework:spring-instrument.tomcat was removed from spring-2.5 BOM
Comment 6 Karel Piwko 2012-03-12 04:56:05 EDT
Verified in WFK 2.0.0.ER3
Comment 7 Karel Piwko 2012-04-05 09:49:17 EDT
Verified in WFK 2.0.0.ER3 (a.k.a. 2.0.0.Beta1).

Note You need to log in before you can comment on or make changes to this bug.